---


- name: Check if firefox profile exists
  ansible.builtin.command:      grep -s "Name=default" "{{ firefox_path }}/profiles.ini"
  register:     grep_profile
  changed_when: grep_profile.rc == 2
  failed_when:  grep_profile.rc > 2


- name: Ensure firefox profile exists
  ansible.builtin.command:      "{{ firefox_runhl }}"
  register:     create_profile
  changed_when: grep_profile.rc > 0
  when: grep_profile.rc == 2


    #- name: Pause 10 seconds
#  pause:
#    seconds: 10
